declare default element namespace "http://purl.org/dc/elements/1.1/";
declare namespace oai_dc = "http://www.openarchives.org/OAI/2.0/oai_dc/";
<data_set>
	{for $book in collection ("/C:/Users/Alex/Dropbox (Lohfeld Consulting)/0.Personal Annex/Indiana University/Spring 2021/Digital Publishing/Final project/IB files?select=*.xml")/oai_dc:dc
	let $imprint := $book/description[contains(., "Pamplona,")]
	let $confidence := $book/description[contains(., "Citation confidence:")]
	let $delgado_casado := $book/description[contains(., "Delgado Casado Number:")]
	let $permalink := $book/identifier[contains(., "https://n2t.")]
	let $IBident := $book/identifier[1]
	let $IBprint := $book/description[contains(., "Citation/reference: IB:")]
	order by count($book/contributor)
	return
	<book>
		<filename>{substring-after(base-uri($book), "IB%20files/")}</filename>
		<title>{data($book/title[1])}</title>
		<date>{data($book/date)}</date>
		<format>{data($book/format)}</format>
		<imprint>{data($imprint)}</imprint>
		<subject>{data($book/subject)}</subject>
		<languages>
			{for $language in $book/language
			where string-length($language) > 3
			return
				<language>{data($language)}</language>
			}
		</languages>
		<people>
				{for $name in $book
				return
				<contributor type="{substring-after($book/description[contains(., "Role")][1], "Role: ")}">{data($name/contributor[1])}</contributor>							
				}
				{for $name in $book
				return
				<contributor type="{substring-after($book/description[contains(., "Role")][2], "Role: ")}">{data($name/contributor[2])}</contributor>							
				}
				{for $name in $book
				return
				<contributor type="{substring-after($book/description[contains(., "Role")][3], "Role: ")}">{data($name/contributor[3])}</contributor>							
				}
				{for $name in $book
				return
				<contributor type="{substring-after($book/description[contains(., "Role")][4], "Role: ")}">{data($name/contributor[4])}</contributor>							
				}				
		</people>
		<IB>{data($IBident)}</IB>
		<IBprint>{substring-after($IBprint, "Citation/reference: IB: ")}</IBprint>
		<permalink>{data($permalink)}</permalink>
		<dig_facsimiles>
			{for $copies in $book/relation[contains(., "Digital copy:")]
			return 
			<copy>{substring-after($copies, "Digital copy: ")}</copy>
			}
		</dig_facsimiles>
		<citation_confidence>{substring-after($confidence, "Citation confidence: ")}</citation_confidence>
		<delgado_casado>{substring-after($delgado_casado, "Delgado Casado Number: ")}</delgado_casado>
	</book>
	}
</data_set>