<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="xs" version="2.0">
	<xsl:template match="data_set">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="book">
		<xsl:result-document
			href="{concat('/Users/Alex/Dropbox%20(Lohfeld%20Consulting)/0.Personal%20Annex/Indiana%20University/Spring%202021/Digital%20Publishing/Final%20project/book_pages/', IB, '.html')}"
			method="html" html-version="5.0">
			<html>
				<head>
					<title>
						<xsl:value-of select="title"/>					
					</title>
					<link href="https://aewingate.github.io/css/indiv_page.css" rel="stylesheet" type="text/css"/>
				</head>
				<body>
					<div class="header">
						<a href="../index.html"><h1 class="logo" id="top">Imprenta<br/>Pamplonés</h1></a>
						<div class="menu">
							<ul class="menu">
								<a href="../Year.html"><li class="menu">
									Year
								</li></a>
								<a href="../Author.html"><li class="menu">
									Author
								</li></a>
								<a href="../Printer.html">
								<li class="menu">
									Printer — Publisher
								</li></a>
								<a href="../Subject.html"><li class="menu">
									Subject
								</li></a>
								<a href="../Language.html"><li class="menu">
									Language
								</li></a>
							</ul>
						</div>
					</div>
					<h1>
						<xsl:apply-templates select="title"/>
					</h1>
<table>
	<tr>
		<td>

					<xsl:apply-templates select="people"/>

					<h2>Imprint</h2>
					<xsl:apply-templates select="imprint"/>
					<h2>Publication year</h2>
					<xsl:apply-templates select="date"/>
					<h2>Language</h2>
					<xsl:apply-templates select="languages/language"/>
					<h2>Physical description</h2>
					<xsl:apply-templates select="format"/>
					<h2>Subject</h2>
					<xsl:apply-templates select="subject"/>
					<h2>Iberian Books existence certainty</h2>
					<xsl:apply-templates select="citation_confidence"/>
					<h2>Iberian Books entry</h2>
					<xsl:apply-templates select="permalink"/>
					<h2>Iberian Books database identifier</h2>
					<xsl:apply-templates select="IB"/>
					<h2>Iberian Books vol. 1 (print) identifier</h2>
					<xsl:apply-templates select="IBprint"/>
					<xsl:apply-templates select="dig_facsimiles"/>
		</td>
		<td>
					<xsl:apply-templates mode="embed" select="dig_facsimiles/copy[contains(., 'books.google')]"/>
		</td>
	</tr>
</table>

				</body>
			</html>
		</xsl:result-document>
<!-- other templates -->
	</xsl:template>
	<xsl:template match="title">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="people">
		<xsl:choose>
			<xsl:when test="child::contributor[@type = 'Author']">
				<h2>Author(s)</h2>
				<xsl:apply-templates select="contributor[@type = 'Author']"/>
			</xsl:when>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="child::contributor[@type = 'Editor']">
				<h2>Editor(s)</h2>
				<xsl:apply-templates select="contributor[@type = 'Editor']"/>
			</xsl:when>
		</xsl:choose>
		<xsl:choose>

			<xsl:when test="child::contributor[@type = 'Printers'][not(child::text())]">
				<h2>Printer(s)/Publisher(s)</h2>
				<p>Printer/publisher unknown.</p>
			</xsl:when>
			<xsl:otherwise>
				<h2>Printer(s)/Publisher(s)</h2>
				<xsl:apply-templates select="contributor[@type = 'Printers']"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="contributor[@type = 'Author']">
		<p>
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="contributor[@type = 'Editor']">
		<p>
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="contributor[@type = 'Printers']">
		<p>
			<xsl:apply-templates/>
		</p>
	</xsl:template>

	<xsl:template match="languages">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template
		match="imprint | date | subject | format | citation_confidence | IB | IBprint | language">
		<p>
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="permalink">
		<a href="{.}">
			<p>
			<xsl:apply-templates/>
			</p>
		</a>
	</xsl:template>
	<xsl:template match="dig_facsimiles">
		<h2>Digital copies</h2>
		<xsl:choose>
			<xsl:when test="child::copy">
				<xsl:apply-templates select="copy"/>
			</xsl:when>
			<xsl:otherwise>
				<p>No digital facsimiles linked.</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="copy">
		<a href="{.}">
			<p>
			<xsl:apply-templates/>
			</p>
		</a>
		<br/>
	</xsl:template>
	<xsl:template mode="embed" match="dig_facsimiles/copy[contains(., 'books.google')]">
		<iframe frameborder="0" scrolling="no" style="border:0px" src="{concat(., '&amp;pg=PP1&amp;output=embed')}" width="500" height="500"></iframe>
	</xsl:template>

</xsl:stylesheet>
