<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema"
	exclude-result-prefixes="xs" version="2.0">

	<xsl:template match="data_set">
		<xsl:result-document method="html" html-version="5.0">
			<html>
				<head>
					<title>Printer — Publisher</title>
					<link href="https://aewingate.github.io/css/sort_page.css" rel="stylesheet" type="text/css"/>
				</head>
				<body>
					<div class="header">
						<a href="index.html"><h1 class="logo" id="top">Imprenta<br/>Pamplonés</h1></a>
						<div class="menu">
							<ul class="menu">
								<li class="menu">
									<a href="Year.html">Year</a>
								</li>
								<li class="menu">
									<a href="Author.html">Author</a>
								</li>
								<li class="menu">
									<a href="Printer.html">Printer — Publisher</a>
								</li>
								<li class="menu">
									<a href="Subject.html">Subject</a>
								</li>
								<li class="menu">
									<a href="Language.html">Language</a>
								</li>
							</ul>
						</div>
					</div>
					<h1>Printer — Publisher</h1>
					<div class="content">
						<div class="sidebar">
							<ul class="sidebar">
							<!--apply-templates to some sort of distinct value thing here. -->
							<xsl:for-each select="distinct-values(//people/contributor[@type = 'Printers'])">
								<xsl:sort select="."/>
								<xsl:if test=". != ''">
								<li class="sidebar">
									<a href="#{position()}">
										<xsl:value-of select="."/>
									</a>
								</li>
								</xsl:if>
								<xsl:if test=". = ''">
									<li class="sidebar">
										<a href="#np">
											No printer/publisher listed
										</a>
									</li>
								</xsl:if>
							</xsl:for-each>
						</ul>

					</div>
						<div class="result">
					<xsl:for-each-group select="book" group-by="people/contributor[@type = 'Printers']">
						<xsl:sort select="current-grouping-key()"/>
						<xsl:if test="current-grouping-key() != ''">
							<h2 id="{position()}">
								<xsl:value-of select="current-grouping-key()"/>
							</h2>
							<ul class="result">
								<xsl:for-each select="current-group()">
									<xsl:sort select="date"/>
									<xsl:apply-templates select="."/>
								</xsl:for-each>
							</ul>
						</xsl:if>
						<xsl:if test="current-grouping-key() = ''">
							<h2 id="np"> No printer/publisher listed </h2>
							<ul class="result">
								<xsl:for-each select="current-group()">
									<xsl:sort select="date"/>
									<xsl:apply-templates select="."/>
								</xsl:for-each>
							</ul>
						</xsl:if>
						<a href="#top">
							<i>Back to top</i>
						</a>
					</xsl:for-each-group>
						</div>
					</div>
				</body>
			</html>
		</xsl:result-document>
	</xsl:template>
	<xsl:template match="book">
		<a href="{concat('book_pages/', IB, '.html')}"><li class="result">
			<xsl:apply-templates select="people/contributor[@type = 'Author'][position() != last()]"/>
			<xsl:apply-templates select="people/contributor[@type = 'Author'][position() = last()]"/>
			<i><xsl:value-of select="title"/></i> (<xsl:value-of select="imprint"/>) </li></a>
	</xsl:template>
	<xsl:template match="people">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="contributor[@type = 'Author'][position() != last()]">
		<xsl:apply-templates/>; </xsl:template>
	<xsl:template match="contributor[@type = 'Author'][position() = last()]">
		<xsl:apply-templates/>. </xsl:template>

</xsl:stylesheet>
